Search for text content in files
curl --request GET \
--url https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run/filesystem-content-search/{path} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run/filesystem-content-search/{path}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run/filesystem-content-search/{path}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"matches": [
{
"column": 10,
"line": 42,
"path": "src/main.go",
"text": "const searchText = 'example'",
"context": "previous line\ncurrent line\nnext line"
}
],
"query": "searchText",
"total": 5
}{
"error": "Error message"
}{
"error": "Error message"
}{
"error": "Error message"
}filesystem
Search for text content in files
Searches for text content inside files using ripgrep. Returns matching lines with context.
GET
/
filesystem-content-search
/
{path}
Search for text content in files
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Directory path to search in
Query Parameters
Text to search for
Case sensitive search (default: false)
Maximum number of results to return (default: 100)
File pattern to include (e.g., *.go)
Comma-separated directory names to skip (default: node_modules,vendor,.git,dist,build,target,pycache,.venv,.next,coverage)
Last modified on September 9, 2026
Was this page helpful?